include:
  - project: '$CICD_TEMPLATE_PROJECT'
    ref: '$CICD_TEMPLATE_REF'
    file: '$CICD_TEMPLATE_FILE'

variables:
  DOCKER_IMAGE_NAME: 'gitlab-executor'
  DOCKER_BUILD_LINUX_AMD64: 'true'

deploy-linux-amd64-executor:
  stage: deploy
  rules:
    - if: '$DOCKER_BUILD_LINUX_AMD64 != "true"'
      when: never
    - !reference [.no_pull_request_rules, rules]
    - !reference [.docker_rules, rules]
  tags:
    - proxima
  needs:
    - job: docker-linux-amd64-build
    - job: docker-publish
  script:
    - 'curl -X POST -F token="$LINUX_AMD64_EXECUTOR_TOKEN" -F ref="main" -F "variables[EXECUTOR_IMAGE_NAME]=$CI_REGISTRY/$CI_PROJECT_NAMESPACE/$CI_PROJECT_NAME/$DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA" https://gitlab.com/api/v4/projects/32225593/trigger/pipeline'
